#-------------------------------------------------
#
# Project created by QtCreator 2019-12-18T22:17:29
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = OpenCV_TestGUI
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
        main.cpp \
        mainwindow.cpp

HEADERS += \
        mainwindow.h

FORMS += \
        mainwindow.ui


INCLUDEPATH += $$(OPENCV_SDK_DIR)/include

#LIBS += E:\Libs\opencv-build\bin\libopencv_core412.dll
#LIBS += E:\Libs\opencv-build\bin\libopencv_highgui412.dll
#LIBS += E:\Libs\opencv-build\bin\libopencv_imgcodecs412.dll
#LIBS += E:\Libs\opencv-build\bin\libopencv_imgproc412.dll
#LIBS += E:\Libs\opencv-build\bin\libopencv_features2d412.dll
#LIBS += E:\Libs\opencv-build\bin\libopencv_calib3d412.dll

LIBS += -L$$(OPENCV_SDK_DIR)/x86/mingw/lib \
        -lopencv_core412        \
        -lopencv_highgui412     \
        -lopencv_imgcodecs412   \
        -lopencv_imgproc412     \
        -lopencv_features2d412  \
        -lopencv_calib3d412


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
