#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>


#include <opencv2/video/tracking.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/highgui/highgui.hpp>



using namespace cv;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    Mat zoomIn(int x, int y);
    Mat zoomOut(int x, int y);
    void onMouse( int event, int x, int y, int /*flags*/, void* /*param*/ );
    void info(void);


    Mat imagenOriginal, imagen, imagenMostrar;

    int zoomRec = 200;
    int mousex, mousey;





private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
