#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <opencv2/core/core.hpp>
#include <opencv2/imgcodecs/imgcodecs.hpp>
#include <opencv2/highgui/highgui.hpp>

#include <QRandomGenerator>
#include <QString>
#include <QDebug>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);



    cv::Mat image = cv::imread("loulou.jpg", cv::IMREAD_COLOR);
    if (image.empty()) {
        qDebug() << "Fail !";
        exit(-1);
    }
    qDebug() << "Openned !";
    qDebug() << "Image type : " << image.type() << " " << image.cols << "x" << image.rows << ". " <<  image.channels() << " Channel(s)";

    cv::namedWindow("test", cv::WINDOW_AUTOSIZE);
    cv::imshow("test", image);

    //cv::waitKey(0);



}

MainWindow::~MainWindow()
{
    delete ui;
}
